DumpArchiveEntry.TYPE
Date: 2017-02-08

org.apache.commons.compress.archivers.dump

## Enum DumpArchiveEntry.TYPE

- java.lang.Object
- - java.lang.Enum<DumpArchiveEntry.TYPE>
  - - org.apache.commons.compress.archivers.dump.DumpArchiveEntry.TYPE

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DumpArchiveEntry.TYPE>
  Enclosing class:
    DumpArchiveEntry

      public static enum DumpArchiveEntry.TYPE
      extends java.lang.Enum<DumpArchiveEntry.TYPE>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLKDEV`
    `CHRDEV`
    `DIRECTORY`
    `FIFO`
    `FILE`
    `LINK`
    `SOCKET`
    `UNKNOWN`
    `WHITEOUT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DumpArchiveEntry.TYPE` | `find(int code)`
    `static DumpArchiveEntry.TYPE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DumpArchiveEntry.TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WHITEOUT

          public static final DumpArchiveEntry.TYPE WHITEOUT

    - #### SOCKET

          public static final DumpArchiveEntry.TYPE SOCKET

    - #### LINK

          public static final DumpArchiveEntry.TYPE LINK

    - #### FILE

          public static final DumpArchiveEntry.TYPE FILE

    - #### BLKDEV

          public static final DumpArchiveEntry.TYPE BLKDEV

    - #### DIRECTORY

          public static final DumpArchiveEntry.TYPE DIRECTORY

    - #### CHRDEV

          public static final DumpArchiveEntry.TYPE CHRDEV

    - #### FIFO

          public static final DumpArchiveEntry.TYPE FIFO

    - #### UNKNOWN

          public static final DumpArchiveEntry.TYPE UNKNOWN

  - ### Method Detail

    - #### values

          public static DumpArchiveEntry.TYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DumpArchiveEntry.TYPE c : DumpArchiveEntry.TYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DumpArchiveEntry.TYPE valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### find

          public static DumpArchiveEntry.TYPE find(int code)